All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.remotefileselector
Class SwingInformationServiceSupport

    com.sas.actionprovider.support.remotefileselector.SwingInformationServiceSupport

All Implemented Interfaces:
  RemoteFileSelectorAreaInterface

    @SASScope(value="ALL")
    public class SwingInformationServiceSupport

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for the RemoteFileSelector components.

Field Summary
`static java.lang.String` | `COPY_ACTION` The actionType key used to allow copying.
`static java.lang.String` | `DELETE_ACTION` The actionType key used to allow deleting.
`static java.lang.String` | `PASTE_ACTION` The actionType key used to allow pasting.
`static java.lang.String` | `RB_KEY`
`static java.lang.String` | `RENAME_ACTION` The actionType key used to allow renaming.

Fields inherited from class com.sas.actionprovider.support.remotefileselector.SwingRemoteFileSelectorSupport
`CLEAR_SORT_ACTION, COLUMN_HEADER_AREA, CUT_ACTION, DATA_CELL_AREA, FILTER_TYPE_ACTION, FIND_ACTION, GO_BACK_ACTION, OPEN_FOLDER_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, START_SEARCH_ACTION, TABLE_COLUMN_HEADER_AREA, TABLE_DATA_CELL_AREA, UP_ONE_LEVEL_ACTION, VIEW_SELECTION_ACTION`

Fields inherited from class com.sas.actionprovider.support.remotefileselector.BaseRemoteFileSelectorSupport
`ADD_FOLDER_ACTION, DISPLAY_SEARCH_RESULTS_ACTION`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector.RemoteFileSelectorAreaInterface
`COMBO_AREA, DRILL_DOWN_AREA, FILTER_TYPE_AREA, SEARCH_BUTTON_AREA, TOOLBAR_AREA, TREE_AREA`

Constructor Summary
`SwingInformationServiceSupport(java.lang.Class actionClass)` Constructor that allows specification of an action class

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected java.util.Map` | `getActionScopeAttributeMap(java.lang.String actionType, ActionSupportFilter filter)` Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area and a specific actionType.
`BaseAction` | `newActionInstance(java.lang.String areaType, java.lang.String actionType)` Return a newly instantiated default SwingAction based on the specified actionType or return null if actionType not recognized.

Methods inherited from class com.sas.actionprovider.support.remotefileselector.SwingRemoteFileSelectorSupport
`getAreaScopeAttributeMap`

Methods inherited from class com.sas.actionprovider.support.remotefileselector.BaseRemoteFileSelectorSupport
`getActionStatus, initialize, validArea`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### RENAME_ACTION

    public static final java.lang.String RENAME_ACTION

  The actionType key used to allow renaming.

  See Also:
    Constant Field Values

### PASTE_ACTION

    public static final java.lang.String PASTE_ACTION

  The actionType key used to allow pasting.

  See Also:
    Constant Field Values

### DELETE_ACTION

    public static final java.lang.String DELETE_ACTION

  The actionType key used to allow deleting.

  See Also:
    Constant Field Values

### COPY_ACTION

    public static final java.lang.String COPY_ACTION

  The actionType key used to allow copying.

  See Also:
    Constant Field Values

Constructor Detail

### SwingInformationServiceSupport

    public SwingInformationServiceSupport(java.lang.Class actionClass)

  Constructor that allows specification of an action class

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class. and managed by the support class.

  Overrides:
    `createDefaultActions` in class `SwingRemoteFileSelectorSupport`

### newActionInstance

    public BaseAction newActionInstance(java.lang.String areaType,
                                        java.lang.String actionType)

  Return a newly instantiated default SwingAction based on the specified actionType or return null if actionType not recognized.

  Overrides:
    `newActionInstance` in class `SwingRemoteFileSelectorSupport`
  Parameters:
    `areaType` - the area associated with the defined action type
    `actionType` - the key associated with a defined action type.
  Returns:
    a new action of the specified type.

### getActionScopeAttributeMap

    protected java.util.Map getActionScopeAttributeMap(java.lang.String actionType,
                                                       ActionSupportFilter filter)

  Description copied from class: `BaseActionProviderSupport`
  Returns mappings for a pre-defined set of Action attribute keys to their corresponding dynamic values for a specific area and a specific actionType.

  Overrides:
    `getActionScopeAttributeMap` in class `BaseActionProviderSupport`
    `filter` - Defines the specific area.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.